Subject: [apps-discuss] Priority of in-band vs. out-of-band encoding information

From: [email-masked] (Henry S. Thompson)
Date: Tue, 24 Sep 2013 10:19:08 +0100

In reviewing the relationship between
draft-ietf-appsawg-xml-mediatypes and the XML specification itself, I
was reminded that the XML spec. defers to "RFC3023 or successor" with
respect to the relative priority of the charset parameter
and any available document-internal information about character
encoding (BOM and/or the XML encoding declaration).

Empirical evidence suggests that wrt both XML and HTML media types,
web browsers give priority to a BOM. That is, if the body of an HTTP
response begins with a BOM, it is treated as authoritative and any
charset parameter in a Content-Type header is ignored.  The current
draft of the HTML5 spec. makes this explicit.

Is anyone aware of any existing media type registration or other RFC
which addresses this issue explicitly?

Thanks,

ht
-- 
       Henry S. Thompson, School of Informatics, University of Edinburgh
      10 Crichton Street, Edinburgh EH8 9AB, SCOTLAND -- (44) 131 650-4440
                Fax: (44) 131 650-4587, e-mail: [email-masked]
                       URL: http://www.ltg.ed.ac.uk/~ht/
 [mail from me _always_ has a .sig like this -- mail without it is forged spam]